package dev.shadowsoffire.apotheosis.village.fletching.arrows;

import net.minecraft.world.entity.Entity;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.ArrowRenderer;

public class BroadheadArrowRenderer extends ArrowRenderer<BroadheadArrowEntity>
{
    public static final ResourceLocation TEXTURES;
    
    public BroadheadArrowRenderer(final EntityRendererProvider.Context renderManagerIn) {
        super(renderManagerIn);
    }
    
    public ResourceLocation getTextureLocation(final BroadheadArrowEntity entity) {
        return BroadheadArrowRenderer.TEXTURES;
    }
    
    static {
        TEXTURES = new ResourceLocation("apotheosis", "textures/entity/broadhead_arrow.png");
    }
}
